<?php
class Magento1_FeedbackCompany_Model_Resource_Options extends Mage_Core_Model_Resource_Db_Abstract
{
    /**
     * Initialize connection and define resource
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('magento1_feedbackcompany/options', 'id');
    }

    /**
     * Load feedback company config model
     *
     * @return $this
     */
    public function loadConfig(Magento1_FeedbackCompany_Model_Options $instance)
    {
        $adapter = $this->_getReadAdapter();
        $select  = $adapter->select()->from($this->getMainTable(), 'id');

        $configId = $adapter->fetchOne($select);
        if ($configId) {
            $this->load($instance, $configId);
        }

        return $this;
    }
}
